Cyberduck Mountain Duck CLI

#10558 closed defect (worksforme)

download fails in Cyberduck (but works if done via command line FTP)

Reported by: michelezundo Owned by: dkocher
Priority: normal Milestone: 6.9.2
Component: ftp Version: 6.8.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by dkocher)

Download os a 95 MB file stays in "downloading" state forever within the Transfer window. After a while I see a message Authenticating, then an attempt to download again, then another attempt then a message transfer failed but the transfer window still trying to download with the yellow dot and no progress. A small file with the correct name is created in the download directory.

the same ftp get from command line works without any problem.

It is not possible to stop the transfer as all toolbar buttons are grayed-out and I need to quit the application

OSX 10.14 Mojave on MacBookPro

LOG:

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 1 of 50 allowed.
220-Local time is now 15:55. Server port: 21.
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER XXX
331 User s2g OK. Password required
PASS *********
230 OK. Current restricted directory is /
FEAT
211-Extensions supported:
 MDTM
 SIZE
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
211 END
SYST
215 UNIX Type: L8
PWD
257 "/" is your current location
CWD /
250 CWD command successful.
TYPE A
200 Command okay.
PORT 10,176,19,41,196,96
200 PORT command successful.
MLSD
150 File status okay; about to open data connection.
type=cdir;sizd=4096;modify=20180615131403;UNIX.mode=02750;UNIX.uid=583;UNIX.gid=581;unique=811g6800028; .
type=pdir;sizd=4096;modify=20180615131403;UNIX.mode=02750;UNIX.uid=583;UNIX.gid=581;unique=811g6800028; ..
type=file;size=10;modify=20151209114847;UNIX.mode=0644;UNIX.uid=0;UNIX.gid=581;unique=811g68002f3; .bashrc
type=file;size=13;modify=20150604120553;UNIX.mode=02700;UNIX.uid=583;UNIX.gid=581;unique=811g68002f4; .ftpquota
type=dir;sizd=4096;modify=20180612192208;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc03e; data-exchange
type=dir;sizd=4096;modify=20160211102053;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc03f; documentation
type=dir;sizd=4096;modify=20180615131403;UNIX.mode=02755;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc040; products
226 Transfer complete, closing data connection.
CWD /products
250 CWD command successful.
TYPE A
200 Command okay.
PORT 10,176,19,41,196,109
200 PORT command successful.
MLSD
150 File status okay; about to open data connection.
type=cdir;sizd=4096;modify=20180615131403;UNIX.mode=02755;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc040; .
type=pdir;sizd=4096;modify=20180615131403;UNIX.mode=02750;UNIX.uid=583;UNIX.gid=581;unique=811g6800028; ..
type=dir;sizd=4096;modify=20150219160410;UNIX.mode=02755;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc061; DFDL4S
type=dir;sizd=4096;modify=20150219160627;UNIX.mode=02755;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc062; Esov
type=dir;sizd=4096;modify=20150219160227;UNIX.mode=02755;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc063; STMA
type=dir;sizd=4096;modify=20160520110946;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc064; openSF
type=dir;sizd=4096;modify=20150219160435;UNIX.mode=02755;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc065; s2g
226 Transfer complete, closing data connection.
CWD /products/openSF
250 CWD command successful.
TYPE A
200 Command okay.
PORT 10,176,19,41,196,110
200 PORT command successful.
MLSD
150 File status okay; about to open data connection.
type=cdir;sizd=4096;modify=20160520110946;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc064; .
type=pdir;sizd=4096;modify=20180615131403;UNIX.mode=02755;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc040; ..
type=dir;sizd=4096;modify=20181128151911;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc07f; documentation
type=dir;sizd=4096;modify=20181214120547;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc080; src
type=dir;sizd=4096;modify=20181214120515;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc081; sw
226 Transfer complete, closing data connection.
CWD /products/openSF/sw
250 CWD command successful.
TYPE A
200 Command okay.
PORT 10,176,19,41,196,111
200 PORT command successful.
MLSD
150 File status okay; about to open data connection.
type=cdir;sizd=4096;modify=20181214120515;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc081; .
type=pdir;sizd=4096;modify=20160520110946;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc064; ..
type=dir;sizd=4096;modify=20161130161152;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g84f6001; 2016.11.30_V03.05.03.00
type=dir;sizd=4096;modify=20161219101532;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g8520116; 2016.12.19_V03.02.01.00_OSFI
type=dir;sizd=4096;modify=20170105001404;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g87d8066; 2017.01.05_V01.03.00.00_OSFEG
type=dir;sizd=4096;modify=20170502081217;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebe006; 2017.05.02_V03.03.00.00_OSFI
type=dir;sizd=4096;modify=20170530183805;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g84f2006; 2017.05.31_V03.06.11.00
type=dir;sizd=4096;modify=20170605091548;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ec0006; 2017.06.05_V03.06.12.00
type=dir;sizd=4096;modify=20170609132501;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ec0013; 2017.06.09_V03.07.00.00
type=dir;sizd=4096;modify=20171117132830;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g93600ab; 2017.11.17_V01.08.00-alpha_ParameterEditorRCP
type=dir;sizd=4096;modify=20171218170753;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g936e4de; 2017.12.18_V03.07.01.00
type=dir;sizd=4096;modify=20180111140501;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g937e69a; 2018.01.09_V03.07.01.01
type=dir;sizd=4096;modify=20180112152030;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g9392003; 2018.01.12_V03.07.01.02
type=dir;sizd=4096;modify=20180116140113;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g9394490; 2018.01.16_V03.07.01.02b_oldPE
type=dir;sizd=4096;modify=20180215145427;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g935a4d1; 2018.02.15_V01.09.00-alpha_ParameterEditorRCP
type=dir;sizd=4096;modify=20180420133111;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g94bc350; 2018.04.20_V01.10.00-alpha_ParameterEditorRCP
type=dir;sizd=4096;modify=20180522070346;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g94ce0a8; 2018.04.20_V01.11.00-alpha_ParameterEditorRCP
type=dir;sizd=4096;modify=20180523104715;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g94cc2bb; 2018.05.21_V03.07.02-alpha
type=dir;sizd=4096;modify=20180606173451;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g97d0001; 2018.06.06_V01.11.1.BETA_ParameterEditorRCP
type=dir;sizd=4096;modify=20180620132408;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g981c007; 2018.06.15_V03.07.02
type=dir;sizd=4096;modify=20181029120540;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g9956007; 2018.10.29_V03.07.03.BETA
type=dir;sizd=4096;modify=20181120184936;UNIX.mode=02775;UNIX.uid=636;UNIX.gid=581;unique=811g999c007; 2018.11.20_V03.07.03_BETA2
type=dir;sizd=4096;modify=20181210174827;UNIX.mode=02775;UNIX.uid=636;UNIX.gid=581;unique=811g9c40001; 2018.12.10_V03.07.03_BETA3
type=dir;sizd=4096;modify=20181214142622;UNIX.mode=02775;UNIX.uid=636;UNIX.gid=581;unique=811g9c4c001; 2018.12.14_V03.07.03
226 Transfer complete, closing data connection.
CWD /products/openSF/sw/2018.12.14_V03.07.03
250 CWD command successful.
TYPE A
200 Command okay.
PORT 10,176,19,41,196,112
200 PORT command successful.
MLSD
150 File status okay; about to open data connection.
type=cdir;sizd=4096;modify=20181214142622;UNIX.mode=02775;UNIX.uid=636;UNIX.gid=581;unique=811g9c4c001; .
type=pdir;sizd=4096;modify=20181214120515;UNIX.mode=02775;UNIX.uid=583;UNIX.gid=581;unique=811g6ebc081; ..
type=file;size=99745235;modify=20181214142621;UNIX.mode=0774;UNIX.uid=636;UNIX.gid=581;unique=811g9c4c009; openSF_linux64_3.7.3.sh
type=file;size=101523456;modify=20181214142622;UNIX.mode=0774;UNIX.uid=636;UNIX.gid=581;unique=811g9c4c008; openSF_macosx_3.7.3.dmg
type=file;size=107080704;modify=20181214142623;UNIX.mode=0774;UNIX.uid=636;UNIX.gid=581;unique=811g9c4c00a; openSF_win64_3.7.3.exe
type=file;size=461;modify=20181214142622;UNIX.mode=0774;UNIX.uid=636;UNIX.gid=581;unique=811g4e12001; sha512sums
type=file;size=887;modify=20181214121916;UNIX.mode=0774;UNIX.uid=636;UNIX.gid=581;unique=811g9c4c00c; updates.xml
226 Transfer complete, closing data connection.




Attachments (2)

trasferviaCyberduck.png (187.9 KB) - added by michelezundo on Feb 15, 2019 at 11:00:18 AM.
screenshot of failure
transferviaFTP.png (69.5 KB) - added by michelezundo on Feb 15, 2019 at 11:00:58 AM.
CLI FTP on same file server works fine

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Jan 13, 2019 at 9:15:09 PM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher

comment:2 Changed on Jan 13, 2019 at 9:15:37 PM by dkocher

  • Description modified (diff)

comment:3 follow-up: Changed on Jan 23, 2019 at 1:42:23 PM by dkocher

  • Milestone set to 6.9.2
  • Resolution set to worksforme
  • Status changed from new to closed

Can you reproduce this issue with version 6.9.0?

comment:4 in reply to: ↑ 3 Changed on Feb 15, 2019 at 10:59:35 AM by michelezundo

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Replying to dkocher:

Can you reproduce this issue with version 6.9.0?

Yes. On 6.9.0 (latest version available at this moment) download still fails. Cyberduck tries multiple times and then fails with error message, while the transfer is fine from the command line.

Changed on Feb 15, 2019 at 11:00:18 AM by michelezundo

screenshot of failure

Changed on Feb 15, 2019 at 11:00:58 AM by michelezundo

CLI FTP on same file server works fine

comment:5 follow-up: Changed on Feb 15, 2019 at 4:59:01 PM by michelezundo

Tested today with version 6.9.3. Same problem. The client keeps attempting the download over and over eventually stopping without successful transfer:

200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,185
200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,190
200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,230
200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,237
.....

comment:6 in reply to: ↑ 5 Changed on Mar 9, 2019 at 9:52:20 PM by dkocher

Replying to michelezundo:

Tested today with version 6.9.3. Same problem. The client keeps attempting the download over and over eventually stopping without successful transfer:

200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,185
200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,190
200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,230
200 PORT command successful.
RETR /products/openSF/sw/2019.02.15_V03.07.04_BETA1/openSF_3.7.4_SNAPSHOT.zip
TYPE I
200 Command okay.
PORT 10,176,36,198,198,237
.....

Try to switch to Passive (PASV) transfer mode. See FTP Connect Mode.

comment:7 Changed on Mar 9, 2019 at 9:52:26 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:8 Changed on Mar 26, 2019 at 8:35:36 AM by michelezundo

Can be closed. The problem was traced to FTP proxy that downloads the full file for virus scanning before coming back to client. It required setting the timeout to >120 sec.

Note: See TracTickets for help on using tickets.
swiss made software